# Interface GeographicBoundingBox

All Superinterfaces:
  `GeographicExtent`

All Known Implementing Classes:
  `DefaultGeographicBoundingBox`

@UML(identifier="EX_GeographicBoundingBox", specification=ISO_19115) public interface GeographicBoundingBox extends GeographicExtent
Geographic position of the dataset. This is only an approximate so specifying the co-ordinate reference system is unnecessary.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getEastBoundLongitude()`
  Returns the eastern-most coordinate of the limit of the dataset extent.
  `double`
  `getNorthBoundLatitude()`
  Returns the northern-most, coordinate of the limit of the dataset extent.
  `double`
  `getSouthBoundLatitude()`
  Returns the southern-most coordinate of the limit of the dataset extent.
  `double`
  `getWestBoundLongitude()`
  Returns the western-most coordinate of the limit of the dataset extent.

  ### Methods inherited from interface GeographicExtent

  `getInclusion`

- ## Method Details

  - ### getWestBoundLongitude

    @UML(identifier="westBoundLongitude", obligation=MANDATORY, specification=ISO_19115) double getWestBoundLongitude()
    Returns the western-most coordinate of the limit of the dataset extent. The value is expressed in longitude in decimal degrees (positive east).
    Returns:
      The western-most longitude between -180 and +180°.

  - ### getEastBoundLongitude

    @UML(identifier="eastBoundLongitude", obligation=MANDATORY, specification=ISO_19115) double getEastBoundLongitude()
    Returns the eastern-most coordinate of the limit of the dataset extent. The value is expressed in longitude in decimal degrees (positive east).
    Returns:
      The eastern-most longitude between -180 and +180°.

  - ### getSouthBoundLatitude

    @UML(identifier="southBoundLatitude", obligation=MANDATORY, specification=ISO_19115) double getSouthBoundLatitude()
    Returns the southern-most coordinate of the limit of the dataset extent. The value is expressed in latitude in decimal degrees (positive north).
    Returns:
      The southern-most latitude between -90 and +90°.

  - ### getNorthBoundLatitude

    @UML(identifier="northBoundLatitude", obligation=MANDATORY, specification=ISO_19115) double getNorthBoundLatitude()
    Returns the northern-most, coordinate of the limit of the dataset extent. The value is expressed in latitude in decimal degrees (positive north).
    Returns:
      The northern-most latitude between -90 and +90°.